Documentation Index

Fetch the complete documentation index at: https://docs.britive.com/llms.txt

Use this file to discover all available pages before exploring further.

Britive platform release 2026.07.01 is now live in production.

Get all device profiles associated with the user with an API token

Prev Next
Get
/api/access/devices
Security
HTTP
Type bearer
Query parameters
page
integer (int32)

page number of profile list. Default is 0

Default0
size
integer (int32)

size of the request for profile list. Default is 20.

Default20
filter
string

Filters for device profiles that can be applied - appName, papName, deviceName, platformName, accountName, deviceId, appType. Operators - eq, sw, co

ExampledeviceName eq "Mac-1000"
sort
string

Sorting of device profiles that can be applied - appName, papName, deviceName, platformName, accountName, deviceId, appType. Operators - asc, desc

ExampleappName,ASC
searchText
string

Search by all fields.

ExamplesearchText=Linux
Responses
200

OK

Expand All
object
count
integer

Total count of items

Example100
page
integer

Current page number

Example0
size
integer

Page size

Example20
sort
string

Sort order

ExampleappName,ASC
filter
string | null

Applied filter

ExampleappName eq "AWS"
data
Array of object (MyAccess)
object
frequency
integer
Example0
countOfProfiles
integer
Example100
papId
string
Exampleid1
environmentId
string
ExampleenvId1
appId
string
ExampleappId1
myAccessDetails
Array of object (MyAccessDetail)
object
checkOutTime
string (date-time) | null
checkInTime
string (date-time) | null
status
string
Valid values[ "Allow", "Deny", "Pending" ]
ExampleAllow
approvalValidityTime
string (date-time) | null
accessType
string
Valid values[ "CONSOLE", "PROGRAMMATIC" ]
ExampleCONSOLE
favoriteId
string | null
application
object (MyAccessApplication)
appId
string
ExampleappId1
appName
string
ExampleAWS
applicationType
string
ExampleAWS
consoleAccessError
string | null
programmaticAccessError
string | null
description
string | null
supportsToken
boolean
Examplefalse
showAwsAccountNumber
boolean
Examplefalse
supportsMultipleProfilesCheckoutCli
boolean
Examplefalse
supportsMultipleProfilesCheckoutConsole
boolean
Examplefalse
allowCopyingConsoleUrl
boolean
Examplefalse
displayProgrammaticKeys
boolean
Exampletrue
requiresHierarchicalModel
boolean
Examplefalse
consoleAccess
boolean
Exampletrue
programmaticAccess
boolean
Examplefalse
supportsSharedAccounts
boolean
Exampletrue
environment
object (MyAccessEnvironment)
environmentId
string
ExampleenvId1
environmentName
string
Exampledemo
environmentDescription
string
Example
alternateEnvironmentName
string
Exampledemo
accountId
string | null
profileEnvironmentProperties
object
Example{}
profile
object (MyAccessProfile)
papId
string
Exampleid1
papName
string
ExampleS3Access
description
string
Example
consoleAccess
boolean
Exampletrue
programmaticAccess
boolean
Examplefalse
sessionAttributes
Array of object
Example[]
object
accessCount
integer
Example0
expirationDuration
integer (int64)

Duration in milliseconds

Example1800000
extensionDuration
integer (int64)

Duration in milliseconds

Example1800000
extensionLimit
integer
Example1
notificationPriorToExpiration
integer (int64)

Duration in milliseconds

Example300000
extendable
boolean
Examplefalse